import fetchPonyfill from 'fetch-ponyfill';
export class S3ApiClient {
    constructor() {
        this._fetch = fetchPonyfill().fetch;
    }
    async uploadFileToPresignedUrl(presignedUrl, file, size) {
        const response = await this._fetch(presignedUrl, {
            method: 'PUT',
            headers: {
                'content-type': 'application/octet-stream',
                'content-length': `${size}`
            },
            body: file
        });
        if (response.status !== 200) {
            throw new Error(`Error uploading to presignedUrl ${presignedUrl}`);
        }
        return response;
    }
}
//# sourceMappingURL=s3-api-client.js.map